<?php

namespace OzzModz\PrefixView\XF\Template;

use XF\Entity\AbstractPrefix as BasePrefixEntity;
use XF\Template\Templater as BaseTemplater;

class Templater extends XFCP_Templater
{
    public function addDefaultHandlers()
    {
        parent::addDefaultHandlers();

        $this->addFunction(
            'ozzmodz_prefix_view_prefix_preview',
            'fnOzzModzPrefixViewPrefixPrefixPreview'
        );
    }

    /**
     * @param BaseTemplater $templater
     * @param bool $escape
     * @param BasePrefixEntity $prefix
     *
     * @return string|null
     */
    public function fnOzzModzPrefixViewPrefixPrefixPreview(BaseTemplater $templater, &$escape, BasePrefixEntity $prefix)
    {
        $phrase = $prefix->getPhraseName();
        $prefixId = $prefix->getEntityId();
        $phraseParts = \explode('_prefix.' . $prefixId, $phrase, 2);
        if (empty($phraseParts[0]))
        {
            return null;
        }

        $escape = false;
        
        return $this->func('prefix', [$phraseParts[0], $prefixId]);
    }
}